import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AutoRecharge } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-10 14:46
 */
interface AutoRechargeCU extends ConditionUtil<AutoRechargeCU> {
    AUTO_ID: FieldUtil<AutoRechargeCU>;
    AUTO_NAME: FieldUtil<AutoRechargeCU>;
    MER_ID: FieldUtil<AutoRechargeCU>;
    LOT_ID: FieldUtil<AutoRechargeCU>;
    COUPON_TYPE: FieldUtil<AutoRechargeCU>;
    COUPON_ID: FieldUtil<AutoRechargeCU>;
    TOTAL_NUM: FieldUtil<AutoRechargeCU>;
    DELETE_FLAG: FieldUtil<AutoRechargeCU>;
    DELETE_DATE: FieldUtil<AutoRechargeCU>;
    UPDATE_DATE: FieldUtil<AutoRechargeCU>;
    ENABLE: FieldUtil<AutoRechargeCU>;
    RULE_ID: FieldUtil<AutoRechargeCU>;
    AUTO_TYPE: FieldUtil<AutoRechargeCU>;
    AUTO_DELETE: FieldUtil<AutoRechargeCU>;
    CREATE_DATE: FieldUtil<AutoRechargeCU>;
    CREATE_USER: FieldUtil<AutoRechargeCU>;
}
declare class AutoRechargeMU extends TableUtilImpl<AutoRechargeCU, AutoRecharge> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AutoRechargeCU;
    static get AUTO_ID(): FieldUtil<AutoRechargeCU>;
    static get AUTO_NAME(): FieldUtil<AutoRechargeCU>;
    static get MER_ID(): FieldUtil<AutoRechargeCU>;
    static get LOT_ID(): FieldUtil<AutoRechargeCU>;
    static get COUPON_TYPE(): FieldUtil<AutoRechargeCU>;
    static get COUPON_ID(): FieldUtil<AutoRechargeCU>;
    static get TOTAL_NUM(): FieldUtil<AutoRechargeCU>;
    static get DELETE_FLAG(): FieldUtil<AutoRechargeCU>;
    static get DELETE_DATE(): FieldUtil<AutoRechargeCU>;
    static get UPDATE_DATE(): FieldUtil<AutoRechargeCU>;
    static get ENABLE(): FieldUtil<AutoRechargeCU>;
    static get RULE_ID(): FieldUtil<AutoRechargeCU>;
    static get AUTO_TYPE(): FieldUtil<AutoRechargeCU>;
    static get AUTO_DELETE(): FieldUtil<AutoRechargeCU>;
    static get CREATE_DATE(): FieldUtil<AutoRechargeCU>;
    static get CREATE_USER(): FieldUtil<AutoRechargeCU>;
    get AUTO_ID(): FieldUtil<AutoRechargeCU>;
    get AUTO_NAME(): FieldUtil<AutoRechargeCU>;
    get MER_ID(): FieldUtil<AutoRechargeCU>;
    get LOT_ID(): FieldUtil<AutoRechargeCU>;
    get COUPON_TYPE(): FieldUtil<AutoRechargeCU>;
    get COUPON_ID(): FieldUtil<AutoRechargeCU>;
    get TOTAL_NUM(): FieldUtil<AutoRechargeCU>;
    get DELETE_FLAG(): FieldUtil<AutoRechargeCU>;
    get DELETE_DATE(): FieldUtil<AutoRechargeCU>;
    get UPDATE_DATE(): FieldUtil<AutoRechargeCU>;
    get ENABLE(): FieldUtil<AutoRechargeCU>;
    get RULE_ID(): FieldUtil<AutoRechargeCU>;
    get AUTO_TYPE(): FieldUtil<AutoRechargeCU>;
    get AUTO_DELETE(): FieldUtil<AutoRechargeCU>;
    get CREATE_DATE(): FieldUtil<AutoRechargeCU>;
    get CREATE_USER(): FieldUtil<AutoRechargeCU>;
}
export { AutoRechargeMU, AutoRechargeCU };
